%define piname statusbar_pi

Name:		opencpn-statusbar-plugin
Summary:	Plugin for OpenCPN implementing a more configurable statusbar
Version:	1.0.3
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/statusbar.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz


BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
The OpenCPN built-in status bar has very limited configuration options
and can be difficult to read.

This plugin replaces it with a more configurable one.

For best results, the built-in toolbar on the User Interface
tab in the Toolbox should be disabled and the Y position of the plugin toolbar
set to at least the pixel size of the font selected in the plugin preferences.

%prep
%setup -q -n %{piname}-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/


%changelog
* Sat Feb 25 2023 philippedidier <philippedidier> 1.0.3-1.mga8
+ Revision: 1945392
- New version 1.0.3 : improve user preferences
- new version 0.8.22
- correct %%mkrel and add %%subrel
- build with wxgtku3.0 strictly needed instead of 3.1
- add mk-tar script to download the Source0
+ wally <wally>
- rebuild for wxgtk 3.1.5 (mga#29848)

* Fri Jan 01 2021 wally <wally> 0.8-2.mga8
+ Revision: 1667718
- rebuild for wxgtk pre 3.1.5 snapshot

* Fri Dec 18 2020 barjac <barjac> 0.8-1.mga8
+ Revision: 1660548
- new version 0.8

* Sun Aug 16 2020 wally <wally> 0.7-5.mga8
+ Revision: 1614359
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 0.7-4.mga8
+ Revision: 1538680
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 0.7-3.mga8
+ Revision: 1459482
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 0.7-2.mga8
+ Revision: 1421022
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sat Jan 19 2019 barjac <barjac> 0.7-1.mga7
+ Revision: 1358009
- new version 0.7

* Sun Sep 23 2018 umeabot <umeabot> 0.6.001-6.mga7
+ Revision: 1300000
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.6.001-5.mga7
+ Revision: 1239516
- fix build on aarch64

* Sat Jun 03 2017 akien <akien> 0.6.001-4.mga6
+ Revision: 1106116
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 0.6.001-3.mga6
+ Revision: 1019837
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 0.6.001-2.mga6
+ Revision: 962350
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 0.6.001-1.mga6
+ Revision: 908788
- new package opencpn-statusbar-plugin

